petsc-3.4.2 2013-07-02

# DMMeshGetLabelValue

Get the value in a Sieve Label for the given point, with 0 as the default

### Synopsis

    #include "petscdmmesh.h"
    PetscErrorCode DMMeshGetLabelValue(DM dm, const char name[], PetscInt point, PetscInt *value)

Not Collective

### Input Parameters

| dm | - The DMMesh object
| name | - The label name
| point | - The mesh point

### Output Parameter

value -The label value for this point, or 0 if the point is not in the label

### Keywords

mesh

### See Also

DMMeshSetLabelValue(), DMMeshGetLabelStratum()

Level:beginner
Location:src/dm/impls/mesh/mesh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages